OpenSSH GSSAPI gives "Cannot find ticket for requested realm"

Do you have a question? Post it now! No Registration Necessary.  Now with pictures!

Threaded View
This setup used to work until I recently upgraded my Ubuntu
installation from 9.10 to 10.04.

I don't understand what has changed, or what could give the following
error. I am using the same /etc/krb5.conf.

debug1: Next authentication method: gssapi-with-mic
debug1: Unspecified GSS failure.  Minor code may provide more
Cannot find ticket for requested realm

The package versions are:

Karmic 9.10: OpenSSH 5.1p1-6ubuntu2, libgssapi-krb5-2
Lucid 10.04:  OpenSSH 5.3p1-3ubuntu3, libgssapi-krb5-2 1.8.1+dfsg-2

Any help or hints for debugging would be greatly appreciated,


- Peter

Re: OpenSSH GSSAPI gives "Cannot find ticket for requested realm"

Hi Simon,

Quoted text here. Click to load it
pes other than DES?
Quoted text here. Click to load it
sortium or the downstream vendors should take responsibility for this, but =
it is _very_ easy to break production machines in fun and exciting ways by =
upgrading to 1.8. My advice, at present, would be to avoid 1.8 entirely unt=
il others have found all of the pain points and the documentation has been =

Thanks for your response.

klist -v shows:

Ticket etype: des-cbc-md5, kvno 44
Ticket length: 318

If DES has been removed, I guess this could be the problem?

After some googling, I can't figure out how to get a list of valid
enctypes to try. I tried a few enctypes I found by googling, but they
all failed either locally (unrecognized enctype) or remotely
(krb5_get_init_creds: KDC has no support for encryption type). Is
there a simple way to get a list of valid enctypes?

Thanks in advance for any help,

- Peter

Site Timeline